import numpy as np
import scipy.linalg
import time

N=100

# sestaveni matice k diagonalizaci
A=np.random.rand(N,N)
A=A+np.transpose(A)

# diagonalizace pro obecne matice
# + vzestupne setrideni vlastnich hodnot a vlastnich vektoru
t1=time.perf_counter()
eigval1,eigvec1=scipy.linalg.eig(A)
t2=time.perf_counter()

indx=np.argsort(eigval1)
eigval1=eigval1[indx]
eigvec1=eigvec1[:,indx]

# diagonalizace symetricke matice
t3=time.perf_counter()
eigval2,eigvec2=scipy.linalg.eigh(A)
t4=time.perf_counter()

print("%.3fs %.3fs" % (t2-t1,t4-t3) )